<template>
  <div class="bg-gray-100">
    <!-- Header Logo Center -->
    <header
      class="w-full text-gray-700 bg-black border-t border-black-100 shadow-sm body-font"
    >
      <div
        class="container flex flex-col flex-wrap items-center p-5 mx-auto md:flex-row"
      >
        <nav class="flex flex-wrap items-center text-base lg:w-2/5 md:ml-auto">
          <a
            href="/"
            class="px-4 py-2 text-xs font-bold text-white uppercase transition-all duration-150 bg-teal-500 rounded shadow outline-none active:bg-teal-600 hover:shadow-md focus:outline-none ease"
            >Home</a
          >
        </nav>
        <a
          class="flex items-center order-first mb-4 font-medium text-white-900 lg:order-none lg:w-1/5 title-font lg:items-center lg:justify-center md:mb-0"
        >
          <img
            src="https://nuimagemedical.com/assets/img/logos/nu-image-updated-logo@300x.png"
            class="mr-3 h-6 sm:h-9"
            alt="Nu Logo"
          />
        </a>
        <div
          class="inline-flex items-center h-full ml-5 lg:w-2/5 lg:justify-end lg:ml-0"
          v-if="!isLoggedIn"
        >
          <router-link
            to="/login"
            class="px-4 py-2 text-xs font-bold text-white uppercase transition-all duration-150 bg-teal-500 rounded shadow outline-none active:bg-teal-600 hover:shadow-md focus:outline-none ease"
            >Login
          </router-link>
          |
          <router-link
            class="px-4 py-2 text-xs font-bold text-white uppercase transition-all duration-150 bg-teal-500 rounded shadow outline-none active:bg-teal-600 hover:shadow-md focus:outline-none ease"
            to="/register"
            >Register</router-link
          >
        </div>
        <div
          class="inline-flex items-center h-full ml-5 lg:w-2/5 lg:justify-end lg:ml-0"
          v-else
        >
          <router-link
            class="px-4 py-2 text-xs font-bold text-white uppercase transition-all duration-150 bg-teal-500 rounded shadow outline-none active:bg-teal-600 hover:shadow-md focus:outline-none ease"
            to="/searchvin"
            >VIN</router-link
          >
          |
          <a
            class="px-4 py-2 text-xs font-bold text-white uppercase transition-all duration-150 bg-teal-500 rounded shadow outline-none active:bg-teal-600 hover:shadow-md focus:outline-none ease"
            @click="logout"
            href="javascript: void(0)"
            >Logout</a
          >
        </div>
      </div>
    </header>
  </div>
</template>

<script>
export default {
  props: ["isLoggedIn"],
  data() {
    return {
      //isLoggedIn: false,
    };
  },
  methods: {
    logout() {
      const token = null;
      this.$store.dispatch("saveToken", token);
      location.href = "/";
    },
  },
};
</script>
